Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.WideDataAtom

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Atom
          org.monte.media.quicktime.AbstractQuickTimeStream.WideDataAtom

Enclosing class:
  AbstractQuickTimeStream

    protected class AbstractQuickTimeStream.WideDataAtom

extends AbstractQuickTimeStream.Atom

WideDataAtom can grow larger then 4 gigabytes.

Field Summary
`protected DataAtomOutputStream` | `data`
`protected boolean` | `finished`

Fields inherited from class org.monte.media.quicktime.AbstractQuickTimeStream.Atom
`offset, type`

Constructor Summary
`AbstractQuickTimeStream.WideDataAtom(java.lang.String type)` Creates a new DataAtom at the current position of the ImageOutputStream.

Method Summary
`void` | `finish()` Writes the atom to the ImageOutputStream and disposes it.
`long` | `getOffset()` Returns the offset of this atom to the beginning of the random access file
`DataAtomOutputStream` | `getOutputStream()`
`long` | `size()` Returns the size of the atom including the size of the atom header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    protected DataAtomOutputStream data

### finished

    protected boolean finished

Constructor Detail

### AbstractQuickTimeStream.WideDataAtom

    public AbstractQuickTimeStream.WideDataAtom(java.lang.String type)
                                         throws java.io.IOException

  Creates a new DataAtom at the current position of the ImageOutputStream.

  Parameters:
    `type` - The type of the atom.
  Throws:
    `java.io.IOException`

Method Detail

### getOutputStream

    public DataAtomOutputStream getOutputStream()

### getOffset

    public long getOffset()

  Returns the offset of this atom to the beginning of the random access file

### finish

    public void finish()
                throws java.io.IOException

  Description copied from class: `AbstractQuickTimeStream.Atom`
  Writes the atom to the ImageOutputStream and disposes it.

  Specified by:
    `finish` in class `AbstractQuickTimeStream.Atom`
  Throws:
    `java.io.IOException`

### size

    public long size()

  Description copied from class: `AbstractQuickTimeStream.Atom`
  Returns the size of the atom including the size of the atom header.

  Specified by:
    `size` in class `AbstractQuickTimeStream.Atom`
  Returns:
    The size of the atom.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD